> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seminode.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Reference Listings

> Retrieves listings by their IDs for reference in quote threads.



## OpenAPI

````yaml https://api.seminode.com/v1/docs/public post /inbox/listings/view
openapi: 3.0.1
info:
  contact: {}
  description: Standard HTTP Basic authentication (username & password).
  title: Seminode API
  version: '1.0'
servers:
  - url: https://api.seminode.com/v1
security: []
tags: []
paths:
  /inbox/listings/view:
    post:
      tags:
        - Quotes
      summary: Get Reference Listings
      description: Retrieves listings by their IDs for reference in quote threads.
      requestBody:
        content:
          application/json:
            schema:
              items:
                type: string
              type: array
        description: Array of listing IDs
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  type: object
                type: array
          description: array of listings
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.ErrorResponse'
          description: invalid request body
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.ErrorResponse'
          description: server error
        default:
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.ErrorResponse'
      security:
        - BearerAuth: []
        - LoginAuth: []
components:
  schemas:
    utils.ErrorResponse:
      properties:
        error:
          type: string
      type: object
  securitySchemes:
    BearerAuth:
      description: 'Format: "Bearer &lt;access_token&gt;"'
      in: header
      name: Authorization
      type: apiKey
    LoginAuth:
      scheme: basic
      type: http

````